Bug 33773 - No X-Axis Error Bars
Summary: No X-Axis Error Bars
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All All
: medium enhancement
Assignee: Rafael Dominguez
QA Contact:
URL:
Whiteboard:
Keywords:
: 47780 51156 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-01-31 10:56 UTC by Clayton Walker
Modified: 2012-07-15 14:26 UTC (History)
4 users (show)

See Also:


Attachments
This is a workaround, but does not actually fix the issue. (21.20 KB, application/vnd.oasis.opendocument.spreadsheet)
2011-10-18 03:17 UTC, Clayton Walker
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Clayton Walker 2011-01-31 10:56:02 UTC
When right-clicking on a point on a graph in Spreadsheet, you are given the option to insert Y Error Bars, however, no option to insert X Error Bars. Such a feature would make data ranges easier to handle in Physics classes, Chemistry classes, or any other class which requires the student to work with uncertainties.
Comment 1 Clayton Walker 2011-10-18 03:17:54 UTC
Created attachment 52466 [details]
This is a workaround, but does not actually fix the issue.

The file was copied from the OOO bug page, all credit goes to sztejkat.

-----------------------------------------------------------------------
A trick how to emulate X and Y error bars.

This is a trick showing how one can emulate X and Y error bars in OpenOffice
Calc. Not nicely looking and to very easy but works automatically.

Bold cells are inputs. X+/X- Y+/Y- are values of error ranges, in this example
calculated by simple formulas. All other are copies of input values arranged in
such an order that chart looks like if it would have x and y values. There is
even a possibility to insert regression formulas as errors will nullify itself,
with one exception - the R2 (fit coefficient) will be incorrect.

Hope it will be useful,
 Tomasz Sztejka
Comment 2 vitriol 2011-10-18 03:34:36 UTC
Please, don't change version! See rules here:

http://wiki.documentfoundation.org/BugReport_Details#Version
Comment 3 Clayton Walker 2011-10-18 03:44:00 UTC
(In reply to comment #2)
> Please, don't change version! See rules here:
> 
> http://wiki.documentfoundation.org/BugReport_Details#Version

Ah, well this issue has been around since OOo 1.1.3 in 2005, I didn't know what to put.
Comment 4 vitriol 2011-10-18 04:10:49 UTC
You can leave the first version of LibO (not OOo) that *you* have directly observed the behavior.
Comment 5 Björn Michaelsen 2011-12-23 11:53:13 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 6 Clayton Walker 2011-12-30 09:07:41 UTC
The feature request still hasn't been fixed in 3.5.0 Beta2.
Reverting back to "NEW".
Comment 7 vitriol 2012-03-23 11:53:04 UTC
*** Bug 47780 has been marked as a duplicate of this bug. ***
Comment 8 CuleX 2012-05-30 08:40:22 UTC
Just a +1 from me, it's an important feature to have if LibreOffice should ever be usable in a scientific field.
Comment 9 niallmkenny 2012-05-31 09:43:37 UTC
http://nabble.documentfoundation.org/Questions-about-Bug-33773-chart-td3844549.html

http://nabble.documentfoundation.org/REVIEW-fdo-33773-Display-errorbars-columns-in-data-browser-td3884322.html

http://nabble.documentfoundation.org/REVIEW-fdo-33773-Calculate-standard-deviation-for-XErrorBar-td3884329.html

http://nabble.documentfoundation.org/REVIEW-fdo-33773-Enable-exporting-X-errorbars-in-odf-td3884369.html

These conversations appear to show patches for this bug, however it is not clear if they are confirmed as committed which would allow this bug to be solved. If a solution has been found that would be great as this feature has often been requested.
Comment 10 Rafael Dominguez 2012-06-01 08:47:11 UTC
Part of the patchs are already merged to the master but still not a complete solution, trying to finish the last details for the upcoming 3.6 release.
Comment 11 Rafael Dominguez 2012-06-10 11:52:46 UTC
This feature is available in 3.6 for calc and importing/exporting xls,ods.
Comment 12 bfoman (inactive) 2012-06-21 03:26:47 UTC
*** Bug 51156 has been marked as a duplicate of this bug. ***